/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Aug 26 15:41:23 CEST 2002
    copyright            : (C) 2002 by Gunnar Schmi Dt
    email                : kmouth@schmi-dt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// $Id: main.cpp,v 1.3 2002/10/02 16:55:17 gunnars Exp $

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmouth.h"

static const char *description =
	I18N_NOOP("KMouth");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("history file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kmouth", I18N_NOOP("KMouth"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002, Gunnar Schmi Dt", 0, 0, "kmouth@schmi-dt.de");
	aboutData.addAuthor("Gunnar Schmi Dt",0, "kmouth@schmi-dt.de");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KMouthApp);
  }
  else 
  {
    KMouthApp *kmouth = new KMouthApp();
    kmouth->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        kmouth->openDocumentFile(args->arg(0));
		}
		args->clear();
  }
  return app.exec();
}  

/*
 * $Log: main.cpp,v $
 * Revision 1.3  2002/10/02 16:55:17  gunnars
 * Removed some compiler warnings and implementing the feature of opening a history at the start of KMouth
 *
 * Revision 1.2  2002/10/02 14:55:33  gunnars
 * Fixed Speak-empty-phrase-crash bug and added some i18n() encodings
 *
 * Revision 1.1.1.1  2002/08/26 14:09:49  gunnars
 * New project started
 *
 */
