/***************************************************************************
                          texttospeechconfigurationdialog.h  -  description
                             -------------------
    begin                : Son Sep 8 2002
    copyright            : (C) 2002 by Gunnar Schmi Dt
    email                : kmouth@schmi-dt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// $Id: texttospeechconfigurationdialog.h,v 1.2.2.1 2002/11/04 15:36:37 gunnars Exp $

#ifndef TEXTTOSPEECHCONFIGURATIONDIALOG_H
#define TEXTTOSPEECHCONFIGURATIONDIALOG_H

#include <kurlrequester.h>
#include <kdialogbase.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <texttospeechsystem.h>

/**This class represents a configuration dialog for the text-to-speech system.
  *@author Gunnar Schmi Dt
  */

class TextToSpeechConfigurationDialog : public KDialogBase  {
public: 
   TextToSpeechConfigurationDialog(QWidget *parent);
   ~TextToSpeechConfigurationDialog();
   
   void slotCancel();
   void slotOk();
   void slotApply();

   TextToSpeechSystem *getTTSSystem() const;

   void readOptions (KConfig *config);
   void saveOptions (KConfig *config);

private:
   void buildCodecList ();

   TextToSpeechSystem *ttsSystem;
   KURLRequester *urlReq;
   KComboBox *characterCodingBox;
   QCheckBox *stdInButton;
};

#endif

/*
 * $Log: texttospeechconfigurationdialog.h,v $
 * Revision 1.2.2.1  2002/11/04 15:36:37  gunnars
 * combo box for character encoding added
 *
 * Revision 1.2  2002/09/08 19:29:42  gunnar
 * Configuration dialog improved
 *
 * Revision 1.1  2002/09/08 17:12:55  gunnar
 * Configuration dialog added
 *
 */
