/***************************************************************************
                          texttospeechsystem.h  -  description
                             -------------------
    begin                : Son Sep 8 2002
    copyright            : (C) 2002 by Gunnar Schmi Dt
    email                : kmouth@schmi-dt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// $Id: texttospeechsystem.h,v 1.1.2.1 2002/11/04 15:36:37 gunnars Exp $

#ifndef TEXTTOSPEECHSYSTEM_H
#define TEXTTOSPEECHSYSTEM_H

#include <qstring.h>
#include <qobject.h>
#include <qptrlist.h>

/**This class represents a text-to-speech system.
  *@author Gunnar Schmi Dt
  */

class TextToSpeechSystem : public QObject{
   Q_OBJECT
   friend class TextToSpeechConfigurationDialog;
public: 
   TextToSpeechSystem();
   ~TextToSpeechSystem();

public slots:
   void speak (QString text);

private:
   void buildCodecList ();

   QPtrList<QTextCodec> *codecList;
   int codec;
   QString ttsCommand;
   bool stdIn;
};

#endif

/*
 * $Log: texttospeechsystem.h,v $
 * Revision 1.1.2.1  2002/11/04 15:36:37  gunnars
 * combo box for character encoding added
 *
 * Revision 1.1  2002/09/08 17:12:55  gunnar
 * Configuration dialog added
 *
 */
